# Uses of Class
org.apache.avro.Conversion

Packages that use Conversion
Package
Description
org.apache.avro
Avro kernel classes.
org.apache.avro.data
Interfaces and base classes shared by generic, specific and reflect.
org.apache.avro.generic
A generic representation for Avro data.
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.

## Uses of Conversion in org.apache.avro

Subclasses of Conversion in org.apache.avro
Modifier and Type
Class
Description
`static class`
`Conversions.BigDecimalConversion`
`static class`
`Conversions.DecimalConversion`
`static class`
`Conversions.DurationConversion`
`static class`
`Conversions.UUIDConversion`
Fields in org.apache.avro declared as Conversion
Modifier and Type
Field
Description
`final Conversion<?>`
Resolver.Action.`conversion`
If the reader has a conversion that needs to be applied, it's stored here for fast access, otherwise this will be null.
Methods in org.apache.avro with parameters of type Conversion
Modifier and Type
Method
Description
`static Object`
Conversions.`convertToLogicalType(Object datum, Schema schema, LogicalType type, Conversion<?> conversion)`
Convert an underlying representation of a logical type (such as a ByteBuffer) to a higher level object (such as a BigDecimal).
`static <T> Object`
Conversions.`convertToRawType(Object datum, Schema schema, LogicalType type, Conversion<T> conversion)`
Convert a high level representation of a logical type (such as a BigDecimal) to its underlying representation object (such as a ByteBuffer)

## Uses of Conversion in org.apache.avro.data

Subclasses of Conversion in org.apache.avro.data
Modifier and Type
Class
Description
`static class`
`TimeConversions.DateConversion`
`static class`
`TimeConversions.LocalTimestampMicrosConversion`
`static class`
`TimeConversions.LocalTimestampMillisConversion`
`static class`
`TimeConversions.LocalTimestampNanosConversion`
`static class`
`TimeConversions.TimeMicrosConversion`
`static class`
`TimeConversions.TimeMillisConversion`
`static class`
`TimeConversions.TimestampMicrosConversion`
`static class`
`TimeConversions.TimestampMillisConversion`
`static class`
`TimeConversions.TimestampNanosConversion`

## Uses of Conversion in org.apache.avro.generic

Methods in org.apache.avro.generic that return Conversion
Modifier and Type
Method
Description
`<T> Conversion<T>`
GenericData.`getConversionByClass(Class<T> datumClass)`
Returns the first conversion found for the given class.
`<T> Conversion<T>`
GenericData.`getConversionByClass(Class<T> datumClass, LogicalType logicalType)`
Returns the conversion for the given class and logical type.
`<T> Conversion<T>`
GenericData.`getConversionFor(LogicalType logicalType)`
Returns the Conversion for the given logical type.
Methods in org.apache.avro.generic that return types with arguments of type Conversion
Modifier and Type
Method
Description
`Collection<Conversion<?>>`
GenericData.`getConversions()`
Methods in org.apache.avro.generic with parameters of type Conversion
Modifier and Type
Method
Description
`void`
GenericData.`addLogicalTypeConversion(Conversion<?> conversion)`
Registers the given conversion to be used when reading and writing with this data model.
`protected Object`
GenericDatumReader.`convert(Object datum, Schema schema, LogicalType type, Conversion<?> conversion)`
Convert an underlying representation of a logical type (such as a ByteBuffer) to a higher level object (such as a BigDecimal).
`protected <T> Object`
GenericDatumWriter.`convert(Schema schema, LogicalType logicalType, Conversion<T> conversion, Object datum)`
Convert a high level representation of a logical type (such as a BigDecimal) to its underlying representation object (such as a ByteBuffer).
`protected Object`
GenericDatumReader.`readWithConversion(Object old, Schema expected, LogicalType logicalType, Conversion<?> conversion, ResolvingDecoder in)`

## Uses of Conversion in org.apache.avro.specific

Methods in org.apache.avro.specific that return Conversion
Modifier and Type
Method
Description
`Conversion<?>`
SpecificRecordBase.`getConversion(int field)`
`Conversion<?>`
SpecificRecordBase.`getConversion(String fieldName)`